﻿Get-Module -Name VMware* -ListAvailable | Import-Module
If ($globale:DefaultVIServers ) {
	Disconnect-VIServer -Server $global:DefaultVIServers -Force
	}

$destVI = Read-Host "Please enter name or IP address of the destination Server"
$datacenter = Read-Host "DataCenter name in VC"
$creds = get-credential
connect-viserver -server $destVI -Credential $creds


# move the vm's to correct location
$VMfolder = @()
$VMfolder = import-csv "C:\csv-files\test\04-$datacenter-vms-with-FolderPath.csv" | Sort-Object -Property Path


foreach($guest in $VMfolder){
	$key = @()
	$key =  Split-Path $guest.Path | split-path -leaf
	if ($key -eq $datacenter) {
		Write-Host "Root folder $guest.path"
		## 
		Move-VM (Get-VM $guest.Name) -Destination "vm"
		}
		else
		{
		$vm = Get-VM -Name $guest.Name
        $folder = Get-Folder -Name $key -Type VM
        Move-VM -VM $vm -Destination $vm.VMHost -InventoryLocation $folder
		}
}


Disconnect-VIServer "*" -Confirm:$False